DOM::CSSException Class Reference

`#include <css_stylesheet.h>`

## Public Types

enum | ExceptionCode { SYNTAX_ERR = 0, INVALID_MODIFICATION_ERR = 1, _EXCEPTION_OFFSET = 1000 }

## Public Member Functions

| CSSException (unsigned short _code)
| CSSException (const CSSException &other)
CSSException & | operator= (const CSSException &other)

## Public Attributes

unsigned short | code

## Detailed Description

This exception is raised when a specific CSS operation is impossible to perform.

Definition at line 173 of file css_stylesheet.h.

## Member Data Documentation

unsigned short DOM::CSSException::code

An integer indicating the type of error generated.

Definition at line 187 of file css_stylesheet.h.

The documentation for this class was generated from the following file:

- css_stylesheet.h

KDE Home | KDE Accessibility Home | Description of Access Keys